using System;

using BeWo.Report;
using BeWo.Report.ReportObjects;

using DevExpress.XtraReports.UI;

namespace SozialeDiensteSchmidt
{
    public partial class ServiceInvoiceReport : XtraReport//, IBeWoReport<ServiceInvoiceRO>
    {
        public ServiceInvoiceReport()
        {
            this.InitializeComponent();
        }

        public void SetReportDataSource(ServiceInvoiceRO pRO)
        {
			DateTime start = pRO.AccountingPeriodStart;
			DateTime end = pRO.AccountingPeriodEnd;

			var zeitraum = String.Format("Betreuungszeitraum {0:dd.MM.yyyy} bis {1:dd.MM.yyyy}", start, end);

			lblAbrechnungszeitraum.Text = string.Format("anbei sende ich Ihnen die unterschriebenen Nachweise über die im Rahmen des Betreuten Wohnens für {0} {1} {2} erbrachten Fachleistungen zu. Nach unserer Berechnung ergeben sich für den {3} hieraus:",
				pRO.CustomerSalutation, pRO.CustomerFirstName, pRO.CustomerLastName, zeitraum);

            bindingSource1.DataSource = pRO;
        }
    }
}